summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-12-11 00:27:48 +0100
committerNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-12-11 01:07:26 +0100
commit40d8b01deae185a3f043c242842e254ae67a42c2 (patch)
tree638e9877020cc113306d04220629175a1c607422 /contrib
parent7f8c3010058ae6d0cda8f651931068195af8a19b (diff)
build with autoconf/automake, add jenkins.sh script
Add configure.ac and Makefile.ams to build with autoreconf && ./configure && make like most other Osmocom projects. Add jenkins.sh for a gerrit build job to verify patches. Change-Id: I6b4419dd519f3d0a75235d0c22bf899f075347a3
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..c9cab3b
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+mkdir "$deps" || true
+rm -rf "$inst"
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+osmo-build-dep.sh libosmocore "" ac_cv_path_DOXYGEN=false
+osmo-build-dep.sh libosmo-abis
+
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-hlr ==============================="
+echo
+set -x
+
+cd "$base"
+autoreconf --install --force
+./configure
+$MAKE $PARALLEL_MAKE
+$MAKE check || cat-testlogs.sh
+$MAKE distcheck || cat-testlogs.sh